## ros-foxy-maliput-integration 0.1.6

=== CMakeLists.txt ===
##############################################################################
# Project
##############################################################################

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(maliput_integration LANGUAGES C CXX VERSION 3.0.0)

##############################################################################
# Find 3rd Party Packages
##############################################################################

message(STATUS "\n\n====== Finding 3rd Party Packages ======\n")

find_package(ament_cmake REQUIRED)
find_package(gflags REQUIRED)
find_package(maliput REQUIRED)
find_package(maliput_dragway REQUIRED)
find_package(maliput_malidrive REQUIRED)
find_package(maliput_multilane REQUIRED)
find_package(maliput_object REQUIRED)
find_package(maliput_sparse REQUIRED)
find_package(maliput_osm REQUIRED)
find_package(maliput_py REQUIRED)
find_package(yaml-cpp REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

message(STATUS "\n\n========= Project Configuration ========\n")

set(BUILD_SHARED_LIBS true)

include(${PROJECT_SOURCE_DIR}/cmake/DefaultCFlags.cmake)
include(${PROJECT_SOURCE_DIR}/cmake/SanitizersConfig.cmake)

##############################################################################
# Sources
##############################################################################

add_subdirectory(src)

##############################################################################
# Tests
##############################################################################

# We always enable tests (that might change in the future)
if(BUILD_TESTING)
  find_package(ament_cmake_clang_format REQUIRED)
  find_package(ament_cmake_flake8 REQUIRED)
  enable_testing()
  add_subdirectory(test)
  ament_flake8("--config" ${CMAKE_CURRENT_SOURCE_DIR}/.flake8)
  ament_clang_format(CONFIG_FILE ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
endif()

##############################################################################
# Docs
##############################################################################

if(BUILD_DOCS)
  message(STATUS "Doxygen generation - Enabled")
  find_package(ament_cmake_doxygen REQUIRED)
  ament_doxygen_generate(doxygen_maliput_integration
    CONFIG_OVERLAY doc/Doxyfile.overlay.in
    DEPENDENCIES maliput maliput_py maliput_malidrive maliput_dragway maliput_multilane maliput_object
    TEST_ON_WARNS
  )
  add_definitions(-DBUILD_DOCS)
else()
  message(STATUS "Doxygen generation - Disabled")
endif()

##############################################################################
# Export
##############################################################################

ament_export_dependencies(ament_cmake)
ament_package()

=== src/CMakeLists.txt ===
add_subdirectory(applications)
add_subdirectory(integration)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(ament_cmake_pytest REQUIRED)


# TODO(https://github.com/maliput/maliput_infrastructure/issues/222): Use ament_index for finding resources provided by the packages.
set(MALIPUT_MULTILANE_RESOURCE_PATH "${maliput_multilane_DIR}/..")
set(MALIPUT_MALIDRIVE_RESOURCE_PATH "${maliput_malidrive_DIR}/..")

ament_add_pytest_test(maliput_to_obj_test maliput_to_obj_test.py
  WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX}/bin TIMEOUT 360
  ENV "MULTILANE_RESOURCE_ROOT=${MALIPUT_MULTILANE_RESOURCE_PATH}"
)

if (TARGET maliput_to_obj_test)
add_dependencies(maliput_to_obj_test maliput_to_obj)
endif()


# tools_test
ament_add_gtest(tools_test tools_test.cc)
target_link_libraries(tools_test
    integration
    maliput::api
    maliput_dragway::maliput_dragway
    maliput_multilane::maliput_multilane
)

# timer_test
ament_add_gtest(timer_test timer_test.cc)
target_link_libraries(timer_test
    integration
)

# chrono_timer_test
ament_add_gtest(chrono_timer_test chrono_timer_test.cc)
target_link_libraries(chrono_timer_test
    integration
)

# create_timer_test
ament_add_gtest(create_timer_test create_timer_test.cc)
target_link_libraries(create_timer_test
    integration
)

# dynamic_environment_handler_test
ament_add_gtest(dynamic_environment_handler_test dynamic_environment_handler_test.cc)
target_link_libraries(dynamic_environment_handler_test
    integration
    maliput::test_utilities
)

# create_dynamic_environment_handler_test
ament_add_gtest(create_dynamic_environment_handler_test create_dynamic_environment_handler_test.cc)
target_link_libraries(create_dynamic_environment_handler_test
    integration
    maliput::test_utilities
)

# fixed_phase_iteration_handler_test
ament_add_gtest(fixed_phase_iteration_handler_test fixed_phase_iteration_handler_test.cc)
target_link_libraries(fixed_phase_iteration_handler_test
    integration
    maliput::api
)

target_compile_definitions(fixed_phase_iteration_handler_test
  PRIVATE
    DEF_MALIDRIVE_RESOURCES="${MALIPUT_MALIDRIVE_RESOURCE_PATH}"
)

=== src/applications/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################
add_executable(maliput_to_obj
  maliput_to_obj.cc
)

target_link_libraries(maliput_to_obj
    gflags
    maliput::common
    maliput::utility
    maliput_integration::integration
)

add_executable(maliput_to_string
  maliput_to_string.cc
)

target_link_libraries(maliput_to_string
    gflags
    maliput::common
    maliput::utility
    maliput_integration::integration
)

add_executable(maliput_query
  maliput_query.cc
)

target_link_libraries(maliput_query
    gflags
    maliput::common
    maliput::plugin
    maliput::utility
    maliput_malidrive::loader
    maliput_integration::integration
    maliput_object::api
    maliput_object::base
)

add_executable(maliput_derive_lane_s_routes
  maliput_derive_lane_s_routes.cc
)

target_link_libraries(maliput_derive_lane_s_routes
    gflags
    maliput::common
    maliput::routing
    maliput::utility
    maliput_integration::integration
)

add_executable(maliput_measure_load_time
  maliput_measure_load_time.cc
)

target_link_libraries(maliput_measure_load_time
    gflags
    maliput::common
    maliput::routing
    maliput::utility
    maliput_integration::integration
)

add_executable(maliput_to_string_with_plugin
  maliput_to_string_with_plugin.cc
)

target_link_libraries(maliput_to_string_with_plugin
  gflags
  maliput::api
  maliput::plugin
  maliput::common
  maliput::utility
)

add_executable(maliput_dynamic_environment
  maliput_dynamic_environment.cc
)

target_link_libraries(maliput_dynamic_environment
  gflags
  maliput::api
  maliput::plugin
  maliput::common
  maliput::utility
  maliput_integration::integration
)

##############################################################################
# Install
##############################################################################

install(
  TARGETS
    maliput_derive_lane_s_routes
    maliput_dynamic_environment
    maliput_measure_load_time
    maliput_query
    maliput_to_obj
    maliput_to_string
    maliput_to_string_with_plugin
  EXPORT ${PROJECT_NAME}-targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

add_subdirectory(python)

=== src/integration/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################

add_library(integration
  chrono_timer.cc
  create_timer.cc
  fixed_phase_iteration_handler.cc
  tools.cc
)

add_library(maliput_integration::integration ALIAS integration)
set_target_properties(integration
  PROPERTIES
    OUTPUT_NAME maliput_integration_integration
)

target_include_directories(integration
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
)

target_link_libraries(integration
  PUBLIC
    maliput::api
    maliput::base
    maliput::common
  PRIVATE
    maliput_dragway::maliput_dragway
    maliput_malidrive::builder
    maliput_malidrive::loader
    maliput_multilane::maliput_multilane
    maliput_osm::builder
    yaml-cpp
)

##############################################################################
# Export
##############################################################################

install(
  TARGETS integration
  EXPORT ${PROJECT_NAME}-targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_libraries(integration)

=== src/applications/python/CMakeLists.txt ===
##############################################################################
# Scripts
##############################################################################

install(
  PROGRAMS
    maliput_to_string_with_plugin.py
  DESTINATION
    bin
)

=== debian/changelog ===
ros-foxy-maliput-integration (0.1.6-1focal) focal; urgency=high

  * Adds more options to the obj creator app. (#132 <https://github.com/maliput/maliput_integration/issues/132>)
  * Relies on maliput_multilane's RN builder. (#131 <https://github.com/maliput/maliput_integration/issues/131>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 13 Apr 2023 03:00:00 -0000

ros-foxy-maliput-integration (0.1.5-1focal) focal; urgency=high

  * Adds GetConfluentBranches and GetOngoingBranches query support. (#130 <https://github.com/maliput/maliput_integration/issues/130>)
  * Adds queries to get parameter list from backends. (#129 <https://github.com/maliput/maliput_integration/issues/129>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Wed, 15 Feb 2023 03:00:00 -0000

ros-foxy-maliput-integration (0.1.4-1focal) focal; urgency=high

  * Adds missing dependency to maliput_sparse (#127 <https://github.com/maliput/maliput_integration/issues/127>)
  * Adds maliput_osm backend to the applications. (#124 <https://github.com/maliput/maliput_integration/issues/124>)
  * Updates triage workflow. (#125 <https://github.com/maliput/maliput_integration/issues/125>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 13 Dec 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.3-1focal) focal; urgency=high

  * Adds Lane::ToSegmentPosition query. (#123 <https://github.com/maliput/maliput_integration/issues/123>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Thu, 15 Sep 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.2-1focal) focal; urgency=high

  * Matches with BoundingRegion moving to maliput. (#122 <https://github.com/maliput/maliput_integration/issues/122>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 16 Aug 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.1-1focal) focal; urgency=high

  * Matches change in create_road_network binding. (#120 <https://github.com/maliput/maliput_integration/issues/120>)
  * Adds triage workflow. (#121 <https://github.com/maliput/maliput_integration/issues/121>)
  * Improves README. (#119 <https://github.com/maliput/maliput_integration/issues/119>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 29 Jul 2022 03:00:00 -0000

ros-foxy-maliput-integration (0.1.0-1focal) focal; urgency=high

  * Updates package.xml file.
  * Several changes for ros build farm compatibility (#118 <https://github.com/maliput/maliput_integration/issues/118>)
  * Uses compile definitions for the tests. (#117 <https://github.com/maliput/maliput_integration/issues/117>)
  * Updates license. (#116 <https://github.com/maliput/maliput_integration/issues/116>)
  * Removes dashing support. (#115 <https://github.com/maliput/maliput_integration/issues/115>)
  * Apps: Allows relative path to resource env var. (#114 <https://github.com/maliput/maliput_integration/issues/114>)
  * Extends maliput_query app with maliput_object related queries (#112 <https://github.com/maliput/maliput_integration/issues/112>)
  * Adds the RoadGeometry pointer when constructing IntersectionBooks. (#111 <https://github.com/maliput/maliput_integration/issues/111>)
  * Modified library dependancies from utilities to utility (#110 <https://github.com/maliput/maliput_integration/issues/110>)
  * Merge pull request #109 <https://github.com/maliput/maliput_integration/issues/109> from ToyotaResearchInstitute/voldivh/value_range_method_to_state
    Changed values() and ranges() method from Rules to states()
  * [FEAT]: Changed values() and ranges() method from Rules to states()
  * Adds example using dynamic rules (#107 <https://github.com/maliput/maliput_integration/issues/107>)
  * Adds BUILD_DOCS flag as opt-in flag (#108 <https://github.com/maliput/maliput_integration/issues/108>)
  * Matches with change in maliput's phase ring book loader. (#106 <https://github.com/maliput/maliput_integration/issues/106>)
  * Adds gflag for loading a RuleRegistry yaml file. (#104 <https://github.com/maliput/maliput_integration/issues/104>)
  * Adds workflow_dispatch to other workflows. (#103 <https://github.com/maliput/maliput_integration/issues/103>)
  * Adds CI badges (#102 <https://github.com/maliput/maliput_integration/issues/102>)
  * Replaces push by workflow_dispatch event in gcc build. (#100 <https://github.com/maliput/maliput_integration/issues/100>)
  * Includes malidrive's new parameter: max_linear_tolerance (#99 <https://github.com/maliput/maliput_integration/issues/99>)
  * Use maliput_drake instead of drake_vendor (#98 <https://github.com/maliput/maliput_integration/issues/98>)
  * maliput_measure_load_time: Adds tutorial. (#97 <https://github.com/maliput/maliput_integration/issues/97>)
  * Adds info about other maliput_to_string implemenatation apps. (#95 <https://github.com/maliput/maliput_integration/issues/95>)
  * maliput_derive_lane_s_route: Improve app + tutorial (#94 <https://github.com/maliput/maliput_integration/issues/94>)
  * Pairs with multilane::RoadGeometry going private. (#96 <https://github.com/maliput/maliput_integration/issues/96>)
  * Extends maliput_to_obj app to also generate urdf file. (#93 <https://github.com/maliput/maliput_integration/issues/93>)
  * Pairs with maliput_malidrive's load deprecation method. (#91 <https://github.com/maliput/maliput_integration/issues/91>)
  * Adds maliput_to_obj tutorial. (#90 <https://github.com/maliput/maliput_integration/issues/90>)
  * maliput_query: GetNumberOfLanes command. (#89 <https://github.com/maliput/maliput_integration/issues/89>)
  * maliput_query: Adds elapsed time information. (#88 <https://github.com/maliput/maliput_integration/issues/88>)
  * Updates maliput_query use using double dashes. (#87 <https://github.com/maliput/maliput_integration/issues/87>)


=== debian/control ===
Source: ros-foxy-maliput-integration
Section: misc
Priority: optional
Maintainer: Daniel Stonier <daniel.stonier@tri.global>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libyaml-cpp-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-clang-format <!nocheck>, ros-foxy-ament-cmake-flake8 <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-maliput, ros-foxy-maliput-dragway, ros-foxy-maliput-malidrive, ros-foxy-maliput-multilane, ros-foxy-maliput-object, ros-foxy-maliput-osm, ros-foxy-maliput-py, ros-foxy-maliput-sparse, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-integration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libyaml-cpp-dev, ros-foxy-maliput, ros-foxy-maliput-dragway, ros-foxy-maliput-malidrive, ros-foxy-maliput-multilane, ros-foxy-maliput-object, ros-foxy-maliput-osm, ros-foxy-maliput-py, ros-foxy-maliput-sparse, ros-foxy-ros-workspace
Description: Maliput Integration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-maliput-integration//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
